$table-header: #F3F9FC;
$table-border: #DAECF6;
$row-bg: #f4f2f1;
$table-border-size: 0px;

$transition: 500ms;

.table-container {
  width: 100%;

  .flex-table {
    display: grid;
    grid-template-rows: 100% auto;
    transition: $transition;
    padding-left: 16px;
    padding-right: 16px;
    border-bottom: solid 1px $table-border;

    &.header {
      position: sticky;
      top: 139px;
      z-index: 1;
      min-height: 40px;
      background: $table-header;
      font-weight: 500;
      font-size: 12px;
      color: #263446;
      border-color: transparent;


      .flex-row {
        font-weight: bold;
        min-height: 40px;
        align-self: center;
        word-break: unset;
      }

      .orderable {
        cursor: pointer;
      }
    }

    &.row:nth-child(odd) .flex-row {
      background: $row-bg;
    }

  }

  .table-body {
    display: grid;
    border-left: solid $table-border-size $table-border;
    border-right: solid $table-border-size $table-border;

    .flex-table {
      cursor: pointer;

      &:hover {
        cursor: pointer;
      }
    }

  }

  .flex-row {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    padding: 8px;
    border-right: solid $table-border-size $table-border;
    word-break: break-word;

    &::before {
      content: attr(data-name) '';
      display: none;
      justify-content: flex-start;
      align-items: center;
      position: absolute;
      left: 0;
      top: 0;
      background: $table-header;
      font-weight: 500;
      font-size: 12px;
      color: #263446;
      padding: 0.5em 15px;
    }


    &:last-child {
      border-right: solid 0 $table-border;
    }
  }

  .column {
    width: 100%;
    padding: 0;

    .flex-row {
      width: 100%;
      padding: 0;
      border: 0;

      &:hover {
        background: #f5f5f5;
        transition: $transition;
      }
    }
  }

  .flex-cell {
    text-align: center;
    padding: 0.5em 0.5em;
  }


  @media all and (min-width: 576px) and (max-width: 768px) {
    .flex-table {
      grid-template-columns: repeat(auto-fill, 100%);
      grid-template-rows: repeat(auto-fill, 25%);
      border: none;
      padding: 0;

      .flex-row {
        padding: 1em 0.5em 1em calc(40% + 0.5em);
        border-bottom: solid 1px $table-border;

        &::before {
          width: 40%;
          height: 100%;
          display: flex;
          padding: 0.5em 24px;
        }

        &:first-child {
          border-top: solid 1px $table-border;
        }

        &:last-child {
          border-right: solid $table-border-size $table-border;
        }
      }

      &.header {
        display: none;
      }
    }
    .table-body {
      border-right: unset;
      border-left: unset;
      grid-row-gap: 1.5em;
      padding-bottom: 40px;
    }

  }


  @media all and (max-width: 576px) {
    .flex-table {
      grid-template-columns: repeat(auto-fill, 100%);
      grid-template-rows: repeat(auto-fill, 25%);
      border: none;
      padding: 0;

      &.header {
        display: none;
      }

      .flex-row {
        padding: 1em 0.5em 1em calc(30% + 0.5em);
        border-bottom: solid 1px $table-border;
        min-height: 70px;
        &::before {
          width: 30%;
          height: 100%;
          display: flex;
        }

        &:first-child {
          border-top: solid 1px $table-border;
        }

        &:last-child {
          border-right: solid $table-border-size $table-border;
        }
      }
    }
    .table-body {
      border-right: unset;
      border-left: unset;
      grid-row-gap: 1.5em;
    }

    .rowspan {

      p {
        margin: 0;
      }
    }
  }
}

@media (min-width: 769px) {
  .table-container {
    .table-body {
      .flex-table {
        &:hover {
          cursor: pointer;
          background-color: #F3F9FC;
        }
      }

    }
  }
}

@media (min-width: 1200px) {
  .table-container {
    .flex-table {
      &.header {
        top: 120px;
      }
    }
  }
}

